import { IUsersRepository } from "@modules/users/repositories/IUsersRepostory";
import { inject, injectable } from "tsyringe";

@injectable()
class FindManyUsersUseCase {
    constructor (
        @inject('UsersRepository')
        private usersRepository: IUsersRepository
    ) {}

    async execute() {
        const users = await this.usersRepository.findAllUser()
        return users
    }
}

export {FindManyUsersUseCase}